Bug 820796 - RFE: stockfish (a stronger GPL chess engine)
RFE: stockfish (a stronger GPL chess engine)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnuchess (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Christopher Aillon
Gwyn Ciesla
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-10 21:50 EDT by Ling Li
Modified: 2015-02-25 15:17 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-08 14:17:21 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ling Li 2012-05-10 21:50:06 EDT
(I apologize if this has been discussed---I did a few Google search and didn't find relevant threads, though.)

stockfish is probably the most powerful open source chess engine and I recommend including it in Fedora.  It's easily compiled.  With the executable at /usr/bin, PyChess (which is already in Fedora) automatically finds it as an available engine.

Its website: http://www.stockfishchess.com/

An example spec file: http://www.openmamba.org/showfile.html?file=/pub/openmamba/devel-ercolinux/specs/stockfish.spec

Comparison with other engines: http://code.google.com/p/pychess/wiki/ChessEngines

I set the severity to "low" since I guessed that Chess/Games are not that important to Fedora (I could be wrong), but this one is quite simple to package so I hope it will be included.
Comment 1 Dhiru Kholia 2013-09-10 04:24:24 EDT
Review Request: https://bugzilla.redhat.com/show_bug.cgi?id=1006197
Comment 2 Gwyn Ciesla 2015-01-08 14:17:21 EST
Given that this is a separate package not conflicting with gnuchess in any way, I'm closing this.  A new review can be submitted in the future.

Note You need to log in before you can comment on or make changes to this bug.